import { responsesmodel } from './model/queryModal';
import { defHttp } from '@/utils/http/axios';

enum Api {
  Get_GetUpdateFiles = '/api/SysAppFiles/GetUpdateFiles',
  Post_AddAppFiles = '/api/SysAppFiles/AddAppFiles',
  Get_DownLoadAppFile = '/api/SysAppFiles/DownLoadAppFile',
}

export function fun_GetUpdateFiles(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_GetUpdateFiles,
    params,
  });
}

export function fun_AddAppFiles(params) {
  return defHttp.post<responsesmodel>({
    url: Api.Post_AddAppFiles,
    params,
  });
}

export function fun_DownLoadAppFile(params) {
  return defHttp.post<responsesmodel>({
    url: Api.Get_DownLoadAppFile,
    params,
  });
}
